-- | 2nd order Butterworth band reject filter.
module Sound.SC3.UGen.Record.BRF where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data BRF = BRF {
  rate :: S.Rate,
  in :: S.UGen,
  freq :: S.UGen,
  rq :: S.UGen
  } deriving (Show)
bRF :: BRF
bRF = BRF {
  rate = S.AR,
  in = 0.0,
  freq = 440.0,
  rq = 1.0
  }
mkBRF :: BRF -> S.UGen
mkBRF (BRF r a' b' c') = S.mkOsc r "BRF" [a',b',c'] 1
instance Make BRF where
  ugen = mkBRF
