-- | Buffer based all pass delay line with linear interpolation.
module Sound.SC3.UGen.Record.BufAllpassL where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data BufAllpassL = BufAllpassL {
  buf :: S.UGen,
  in :: S.UGen,
  delaytime :: S.UGen,
  decaytime :: S.UGen
  } deriving (Show)
bufAllpassL :: BufAllpassL
bufAllpassL = BufAllpassL {
  buf = 0.0,
  in = 0.0,
  delaytime = 0.2,
  decaytime = 1.0
  }
mkBufAllpassL :: BufAllpassL -> S.UGen
mkBufAllpassL (BufAllpassL  a' b' c' d') = S.mkOsc S.AR "BufAllpassL" [a',b',c',d'] 1
instance Make BufAllpassL where
  ugen = mkBufAllpassL
