-- | Buffer based comb delay line with cubic interpolation.
module Sound.SC3.UGen.Record.BufCombC where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data BufCombC = BufCombC {
  buf :: S.UGen,
  in :: S.UGen,
  delaytime :: S.UGen,
  decaytime :: S.UGen
  } deriving (Show)
bufCombC :: BufCombC
bufCombC = BufCombC {
  buf = 0.0,
  in = 0.0,
  delaytime = 0.2,
  decaytime = 1.0
  }
mkBufCombC :: BufCombC -> S.UGen
mkBufCombC (BufCombC  a' b' c' d') = S.mkOsc S.AR "BufCombC" [a',b',c',d'] 1
instance Make BufCombC where
  ugen = mkBufCombC
