-- | Buffer based comb delay line with no interpolation.
module Sound.SC3.UGen.Record.BufCombN where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data BufCombN = BufCombN {
  buf :: S.UGen,
  in :: S.UGen,
  delaytime :: S.UGen,
  decaytime :: S.UGen
  } deriving (Show)
bufCombN :: BufCombN
bufCombN = BufCombN {
  buf = 0.0,
  in = 0.0,
  delaytime = 0.2,
  decaytime = 1.0
  }
mkBufCombN :: BufCombN -> S.UGen
mkBufCombN (BufCombN  a' b' c' d') = S.mkOsc S.AR "BufCombN" [a',b',c',d'] 1
instance Make BufCombN where
  ugen = mkBufCombN
