-- | Buffer based simple delay line with linear interpolation.
module Sound.SC3.UGen.Record.BufDelayL where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data BufDelayL = BufDelayL {
  rate :: S.Rate,
  buf :: S.UGen,
  in :: S.UGen,
  delaytime :: S.UGen
  } deriving (Show)
bufDelayL :: BufDelayL
bufDelayL = BufDelayL {
  rate = S.AR,
  buf = 0.0,
  in = 0.0,
  delaytime = 0.2
  }
mkBufDelayL :: BufDelayL -> S.UGen
mkBufDelayL (BufDelayL r a' b' c') = S.mkOsc r "BufDelayL" [a',b',c'] 1
instance Make BufDelayL where
  ugen = mkBufDelayL
