-- | Buffer reading oscillator.
module Sound.SC3.UGen.Record.BufRd where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data BufRd = BufRd {
  rate :: S.Rate,
  bufnum :: S.UGen,
  phase :: S.UGen,
  loop :: S.UGen,
  interpolation :: S.UGen
  } deriving (Show)
bufRd :: BufRd
bufRd = BufRd {
  rate = S.AR,
  bufnum = 0.0,
  phase = 0.0,
  loop = 1.0,
  interpolation = 2.0
  }
mkBufRd :: BufRd -> S.UGen
mkBufRd (BufRd r a' b' c' d') = S.mkOsc r "BufRd" [a',b',c',d'] undefined
instance Make BufRd where
  ugen = mkBufRd
