-- | Comb delay line with linear interpolation.
module Sound.SC3.UGen.Record.CombL where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data CombL = CombL {
  rate :: S.Rate,
  in :: S.UGen,
  maxdelaytime :: S.UGen,
  delaytime :: S.UGen,
  decaytime :: S.UGen
  } deriving (Show)
combL :: CombL
combL = CombL {
  rate = S.AR,
  in = 0.0,
  maxdelaytime = 0.2,
  delaytime = 0.2,
  decaytime = 1.0
  }
mkCombL :: CombL -> S.UGen
mkCombL (CombL r a' b' c' d') = S.mkOsc r "CombL" [a',b',c',d'] 1
instance Make CombL where
  ugen = mkCombL
