-- | Real-time convolver.
module Sound.SC3.UGen.Record.Convolution where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Convolution = Convolution {
  in :: S.UGen,
  kernel :: S.UGen,
  framesize :: S.UGen
  } deriving (Show)
convolution :: Convolution
convolution = Convolution {
  in = 0.0,
  kernel = 0.0,
  framesize = 512.0
  }
mkConvolution :: Convolution -> S.UGen
mkConvolution (Convolution  a' b' c') = S.mkOsc S.AR "Convolution" [a',b',c'] 1
instance Make Convolution where
  ugen = mkConvolution
