-- | Real-time convolver with linear interpolation
module Sound.SC3.UGen.Record.Convolution2L where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Convolution2L = Convolution2L {
  in :: S.UGen,
  kernel :: S.UGen,
  trigger :: S.UGen,
  framesize :: S.UGen,
  crossfade :: S.UGen
  } deriving (Show)
convolution2L :: Convolution2L
convolution2L = Convolution2L {
  in = 0.0,
  kernel = 0.0,
  trigger = 0.0,
  framesize = 2048.0,
  crossfade = 1.0
  }
mkConvolution2L :: Convolution2L -> S.UGen
mkConvolution2L (Convolution2L  a' b' c' d' e') = S.mkOsc S.AR "Convolution2L" [a',b',c',d',e'] 1
instance Make Convolution2L where
  ugen = mkConvolution2L
