-- | Simple delay line with linear interpolation.
module Sound.SC3.UGen.Record.DelayL where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data DelayL = DelayL {
  rate :: S.Rate,
  in :: S.UGen,
  maxdelaytime :: S.UGen,
  delaytime :: S.UGen
  } deriving (Show)
delayL :: DelayL
delayL = DelayL {
  rate = S.AR,
  in = 0.0,
  maxdelaytime = 0.2,
  delaytime = 0.2
  }
mkDelayL :: DelayL -> S.UGen
mkDelayL (DelayL r a' b' c') = S.mkOsc r "DelayL" [a',b',c'] 1
instance Make DelayL where
  ugen = mkDelayL
