-- | A leaky integrator.
module Sound.SC3.UGen.Record.Integrator where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Integrator = Integrator {
  rate :: S.Rate,
  in :: S.UGen,
  coef :: S.UGen
  } deriving (Show)
integrator :: Integrator
integrator = Integrator {
  rate = S.AR,
  in = 0.0,
  coef = 1.0
  }
mkIntegrator :: Integrator -> S.UGen
mkIntegrator (Integrator r a' b') = S.mkOsc r "Integrator" [a',b'] 1
instance Make Integrator where
  ugen = mkIntegrator
