-- | Two channel linear pan.
module Sound.SC3.UGen.Record.LinPan2 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data LinPan2 = LinPan2 {
  rate :: S.Rate,
  in :: S.UGen,
  pos :: S.UGen,
  level :: S.UGen
  } deriving (Show)
linPan2 :: LinPan2
linPan2 = LinPan2 {
  rate = S.AR,
  in = 0.0,
  pos = 0.0,
  level = 1.0
  }
mkLinPan2 :: LinPan2 -> S.UGen
mkLinPan2 (LinPan2 r a' b' c') = S.mkOsc r "LinPan2" [a',b',c'] 2
instance Make LinPan2 where
  ugen = mkLinPan2
