-- | Chaotic noise function
module Sound.SC3.UGen.Record.Logistic where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Logistic = Logistic {
  rate :: S.Rate,
  chaosParam :: S.UGen,
  freq :: S.UGen,
  init :: S.UGen
  } deriving (Show)
logistic :: Logistic
logistic = Logistic {
  rate = S.AR,
  chaosParam = 3.0,
  freq = 1000.0,
  init = 0.5
  }
mkLogistic :: Logistic -> S.UGen
mkLogistic (Logistic r a' b' c') = S.mkOsc r "Logistic" [a',b',c'] 1
instance Make Logistic where
  ugen = mkLogistic
