-- | Parametric filter.
module Sound.SC3.UGen.Record.MidEQ where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data MidEQ = MidEQ {
  rate :: S.Rate,
  in :: S.UGen,
  freq :: S.UGen,
  rq :: S.UGen,
  db :: S.UGen
  } deriving (Show)
midEQ :: MidEQ
midEQ = MidEQ {
  rate = S.AR,
  in = 0.0,
  freq = 440.0,
  rq = 1.0,
  db = 0.0
  }
mkMidEQ :: MidEQ -> S.UGen
mkMidEQ (MidEQ r a' b' c' d') = S.mkOsc r "MidEQ" [a',b',c',d'] 1
instance Make MidEQ where
  ugen = mkMidEQ
