-- | Write a signal to a bus with sample accurate timing.
module Sound.SC3.UGen.Record.OffsetOut where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data OffsetOut = OffsetOut {
  rate :: S.Rate,
  bus :: S.UGen,
  channelsArray :: S.UGen
  } deriving (Show)
offsetOut :: OffsetOut
offsetOut = OffsetOut {
  rate = S.AR,
  bus = 0.0,
  channelsArray = 0.0
  }
mkOffsetOut :: OffsetOut -> S.UGen
mkOffsetOut (OffsetOut r a' b') = S.mkOsc r "OffsetOut" [a',b'] 1
instance Make OffsetOut where
  ugen = mkOffsetOut
