-- | Two channel equal power pan.
module Sound.SC3.UGen.Record.Pan2 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Pan2 = Pan2 {
  rate :: S.Rate,
  in :: S.UGen,
  pos :: S.UGen,
  level :: S.UGen
  } deriving (Show)
pan2 :: Pan2
pan2 = Pan2 {
  rate = S.AR,
  in = 0.0,
  pos = 0.0,
  level = 1.0
  }
mkPan2 :: Pan2 -> S.UGen
mkPan2 (Pan2 r a' b' c') = S.mkOsc r "Pan2" [a',b',c'] 2
instance Make Pan2 where
  ugen = mkPan2
