-- | Track peak signal amplitude.
module Sound.SC3.UGen.Record.Peak where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Peak = Peak {
  rate :: S.Rate,
  in :: S.UGen,
  trig :: S.UGen
  } deriving (Show)
peak :: Peak
peak = Peak {
  rate = S.AR,
  in = 0.0,
  trig = 0.0
  }
mkPeak :: Peak -> S.UGen
mkPeak (Peak r a' b') = S.mkOsc r "Peak" [a',b'] 1
instance Make Peak where
  ugen = mkPeak
