-- | Time domain pitch shifter.
module Sound.SC3.UGen.Record.PitchShift where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data PitchShift = PitchShift {
  in :: S.UGen,
  windowSize :: S.UGen,
  pitchRatio :: S.UGen,
  pitchDispersion :: S.UGen,
  timeDispersion :: S.UGen
  } deriving (Show)
pitchShift :: PitchShift
pitchShift = PitchShift {
  in = 0.0,
  windowSize = 0.2,
  pitchRatio = 1.0,
  pitchDispersion = 0.0,
  timeDispersion = 0.0
  }
mkPitchShift :: PitchShift -> S.UGen
mkPitchShift (PitchShift  a' b' c' d' e') = S.mkOsc S.AR "PitchShift" [a',b',c',d',e'] 1
instance Make PitchShift where
  ugen = mkPitchShift
