-- | Second order filter section (biquad).
module Sound.SC3.UGen.Record.SOS where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data SOS = SOS {
  rate :: S.Rate,
  in :: S.UGen,
  a0 :: S.UGen,
  a1 :: S.UGen,
  a2 :: S.UGen,
  b1 :: S.UGen,
  b2 :: S.UGen
  } deriving (Show)
sOS :: SOS
sOS = SOS {
  rate = S.AR,
  in = 0.0,
  a0 = 0.0,
  a1 = 0.0,
  a2 = 0.0,
  b1 = 0.0,
  b2 = 0.0
  }
mkSOS :: SOS -> S.UGen
mkSOS (SOS r a' b' c' d' e' f') = S.mkOsc r "SOS" [a',b',c',d',e',f'] 1
instance Make SOS where
  ugen = mkSOS
