-- | Splay spreads an array of channels across the stereo field
module Sound.SC3.UGen.Record.Splay where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data Splay = Splay {
  rate :: S.Rate,
  inArray :: S.UGen,
  spread :: S.UGen,
  level :: S.UGen,
  center :: S.UGen,
  levelComp :: S.UGen
  } deriving (Show)
splay :: Splay
splay = Splay {
  rate = S.AR,
  inArray = 0.0,
  spread = 1.0,
  level = 1.0,
  center = 0.0,
  levelComp = 1.0
  }
mkSplay :: Splay -> S.UGen
mkSplay (Splay r a' b' c' d' e') = S.mkOsc r "Splay" [a',b',c',d',e'] 1
instance Make Splay where
  ugen = mkSplay
