-- | physical model of bouncing object
module Sound.SC3.UGen.Record.TBall where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data TBall = TBall {
  rate :: S.Rate,
  in :: S.UGen,
  g :: S.UGen,
  damp :: S.UGen,
  friction :: S.UGen
  } deriving (Show)
tBall :: TBall
tBall = TBall {
  rate = S.AR,
  in = 0.0,
  g = 10.0,
  damp = 0.0,
  friction = 0.01
  }
mkTBall :: TBall -> S.UGen
mkTBall (TBall r a' b' c' d') = S.mkOsc r "TBall" [a',b',c',d'] 1
instance Make TBall where
  ugen = mkTBall
