-- | Triggered exponential random number generator.
module Sound.SC3.UGen.Record.TExpRand where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data TExpRand = TExpRand {
  rate :: S.Rate,
  lo :: S.UGen,
  hi :: S.UGen,
  trig :: S.UGen
  } deriving (Show)
tExpRand :: TExpRand
tExpRand = TExpRand {
  rate = S.AR,
  lo = 0.01,
  hi = 1.0,
  trig = 0.0
  }
mkTExpRand :: TExpRand -> S.UGen
mkTExpRand (TExpRand r a' b' c') = S.mkOsc r "TExpRand" [a',b',c'] 1
instance Make TExpRand where
  ugen = mkTExpRand
