-- | Two pole filter.
module Sound.SC3.UGen.Record.TwoPole where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data TwoPole = TwoPole {
  rate :: S.Rate,
  in :: S.UGen,
  freq :: S.UGen,
  radius :: S.UGen
  } deriving (Show)
twoPole :: TwoPole
twoPole = TwoPole {
  rate = S.AR,
  in = 0.0,
  freq = 440.0,
  radius = 0.8
  }
mkTwoPole :: TwoPole -> S.UGen
mkTwoPole (TwoPole r a' b' c') = S.mkOsc r "TwoPole" [a',b',c'] 1
instance Make TwoPole where
  ugen = mkTwoPole
