-- | Two zero filter.
module Sound.SC3.UGen.Record.TwoZero where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data TwoZero = TwoZero {
  rate :: S.Rate,
  in :: S.UGen,
  freq :: S.UGen,
  radius :: S.UGen
  } deriving (Show)
twoZero :: TwoZero
twoZero = TwoZero {
  rate = S.AR,
  in = 0.0,
  freq = 440.0,
  radius = 0.8
  }
mkTwoZero :: TwoZero -> S.UGen
mkTwoZero (TwoZero r a' b' c') = S.mkOsc r "TwoZero" [a',b',c'] 1
instance Make TwoZero where
  ugen = mkTwoZero
