-- | Three variable wavetable oscillators.
module Sound.SC3.UGen.Record.VOsc3 where
import qualified Sound.SC3.UGen as S
import Sound.SC3.UGen.Record
data VOsc3 = VOsc3 {
  rate :: S.Rate,
  bufpos :: S.UGen,
  freq1 :: S.UGen,
  freq2 :: S.UGen,
  freq3 :: S.UGen
  } deriving (Show)
vOsc3 :: VOsc3
vOsc3 = VOsc3 {
  rate = S.AR,
  bufpos = 0.0,
  freq1 = 110.0,
  freq2 = 220.0,
  freq3 = 440.0
  }
mkVOsc3 :: VOsc3 -> S.UGen
mkVOsc3 (VOsc3 r a' b' c' d') = S.mkOsc r "VOsc3" [a',b',c',d'] 1
instance Make VOsc3 where
  ugen = mkVOsc3
